<bugID>1025924<Summary>Startup time for session restore takes more than 30 seconds (many tabs in many tab groups)</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:30.0) Gecko/20100101 Firefox/30.0 (Beta/Release)
Build ID: 20140605174243

Steps to reproduce:

Close the browser with many tabs open (anywhere from 10-50 or more) and many tab groups (I have 35 tab groups, though most of the time they remain dormant and not used).

Re-open browser and expect session to be restored.


Actual results:

Browser opens and I see the UI render 1 blank tab, then after a few seconds it shows the outline of all my expected tabs loading in. But then the Firefox process goes 100% CPU and sits there in a non-responsive state for 30-60 seconds before continuing to load the tabs.

Note: I have "load tabs on demand" checked and only 3 pinned tabs. This only started happening as of v29 and still happens in v30.


Expected results:

Browser should load with previous session without going into non-responsive hang.</Description></bugID>